.gp-observation {
  width: 100%;

  &:not(:last-child) {
    border-bottom: 1px solid var(--border-color);
  }

  &__header {
    padding: var(--spacer-small) var(--spacer-default);
    background-color: var(--component-content-background);

    &__main {
      display: flex;
      align-items: center;
      gap: var(--spacer-default);

      .rui-icon-text { flex: none; }

      &__title {
        flex-grow: 1;
        padding: 0;
        margin: 0;
        font-weight: var(--font-weight-medium);
        overflow-x:hidden;
        text-overflow:ellipsis;
        white-space:nowrap
      }
    }
  }

  &__content {
    padding: var(--spacer-small) 0;
    white-space: pre-wrap;
  }
}
